OpenCV: cv::MatAllocator Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::MatAllocator Class Referenceabstract
Core functionality » Basic structures

Custom array allocator. More...

`#include "mat.hpp"`

## Public Member Functions
| MatAllocator ()
virtual | ~MatAllocator ()
virtual UMatData * | allocate (int dims, const int *sizes, int type, void *data, size_t *step, int flags, UMatUsageFlags usageFlags) const =0
virtual bool | allocate (UMatData *data, int accessflags, UMatUsageFlags usageFlags) const =0
virtual void | copy (UMatData *srcdata, UMatData *dstdata, int dims, const size_t sz[], const size_t srcofs[], const size_t srcstep[], const size_t dstofs[], const size_t dststep[], bool sync) const
virtual void | deallocate (UMatData *data) const =0
virtual void | download (UMatData *data, void *dst, int dims, const size_t sz[], const size_t srcofs[], const size_t srcstep[], const size_t dststep[]) const
virtual BufferPoolController * | getBufferPoolController (const char *id=NULL) const
virtual void | map (UMatData *data, int accessflags) const
virtual void | unmap (UMatData *data) const
virtual void | upload (UMatData *data, const void *src, int dims, const size_t sz[], const size_t dstofs[], const size_t dststep[], const size_t srcstep[]) const

## Detailed Description

Custom array allocator.

## Constructor & Destructor Documentation

## ◆ MatAllocator()

cv::MatAllocator::MatAllocator | ( |  | ) |
| inline

## ◆ ~MatAllocator()

virtual cv::MatAllocator::~MatAllocator | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ allocate() [1/2]

virtual UMatData* cv::MatAllocator::allocate | ( | int | dims,
|  | const int * | sizes,
|  | int | type,
|  | void * | data,
|  | size_t * | step,
|  | int | flags,
|  | UMatUsageFlags | usageFlags
| ) |  | const
| pure virtual

## ◆ allocate() [2/2]

virtual bool cv::MatAllocator::allocate | ( | UMatData * | data,
|  | int | accessflags,
|  | UMatUsageFlags | usageFlags
| ) |  | const
| pure virtual

## ◆ copy()

virtual void cv::MatAllocator::copy | ( | UMatData * | srcdata,
|  | UMatData * | dstdata,
|  | int | dims,
|  | const size_t | sz[],
|  | const size_t | srcofs[],
|  | const size_t | srcstep[],
|  | const size_t | dstofs[],
|  | const size_t | dststep[],
|  | bool | sync
| ) |  | const
| virtual

## ◆ deallocate()

virtual void cv::MatAllocator::deallocate | ( | UMatData * | data | ) | const
| pure virtual

## ◆ download()

virtual void cv::MatAllocator::download | ( | UMatData * | data,
|  | void * | dst,
|  | int | dims,
|  | const size_t | sz[],
|  | const size_t | srcofs[],
|  | const size_t | srcstep[],
|  | const size_t | dststep[]
| ) |  | const
| virtual

## ◆ getBufferPoolController()

virtual BufferPoolController* cv::MatAllocator::getBufferPoolController | ( | const char * | id = `NULL` | ) | const
| virtual

## ◆ map()

virtual void cv::MatAllocator::map | ( | UMatData * | data,
|  | int | accessflags
| ) |  | const
| virtual

## ◆ unmap()

virtual void cv::MatAllocator::unmap | ( | UMatData * | data | ) | const
| virtual

## ◆ upload()

virtual void cv::MatAllocator::upload | ( | UMatData * | data,
|  | const void * | src,
|  | int | dims,
|  | const size_t | sz[],
|  | const size_t | dstofs[],
|  | const size_t | dststep[],
|  | const size_t | srcstep[]
| ) |  | const
| virtual

The documentation for this class was generated from the following file:

- core/include/opencv2/core/mat.hpp